//[datasource](../../../../../index.md)/[com.yandex.payment.sdk.datasource.payment.interfaces](../../../index.md)/[PaymentButton](../../index.md)/[State](../index.md)/[Disabled](index.md)

# Disabled

[datasource]\
class [Disabled](index.md)(**reason**: [PaymentButton.DisableReason](../../-disable-reason/index.md)) : [PaymentButton.State](../index.md)

Кнопка недоступна.

## Constructors

| | |
|---|---|
| [Disabled](-disabled.md) | [datasource]<br>fun [Disabled](-disabled.md)(reason: [PaymentButton.DisableReason](../../-disable-reason/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [reason](reason.md) | [datasource]<br>val [reason](reason.md): [PaymentButton.DisableReason](../../-disable-reason/index.md)<br>причина недоступности. |
